echo off

echo S3210SH IBMC rev 00.31 Firmware Update
.\WinPEUtils_x86\FWPIAUPD\DeviceSetup install .\WinPEUtils_x86\FWPIAUPD\IMBDrv.inf *IMBDRV
.\WinPEUtils_x86\FWPIAUPD\fwpiaupd -u -o -ni -pia -p -noverify -nopc 3210SH31.hex
echo This update does not alter LAN or User settings.

echo Update FRUSDR using FRUSDR utility
.\WinPEUtils_x86\FRUSDR\DeviceSetup.exe install .\WinPEUtils_x86\FRUSDR\imbdrv.inf *IMBDRV
.\WinPEUtils_x86\FRUSDR\DeviceSetup.exe install .\WinPEUtils_x86\FRUSDR\IBSMUtil.inf *IntelUtilDeV
.\WinPEUtils_x86\FRUSDR\frusdr -cfg MASTER.CFG

echo Update BIOS
.\WinPEUtils_x86\IFlash32\DeviceSetup install .\WinPEUtils_x86\IFlash32\flashud.inf *INT0800
.\WinPEUtils_x86\IFlash32\iFlash32 /u R0047.Cap /ni

echo Updates completed. Please reboot using the front panel button.

echo on